package com.xxfc.platform.uccn.rest.admin;

import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.xxfc.platform.uccn.biz.SummitActivityBiz;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author libin
 * @version 1.0
 * @description 
 * @data 2019/8/26 15:36
 */
@RestController
@RequestMapping("/admin/summitActivity")
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class SummitActivityAdminController {

     private final  SummitActivityBiz summitActivityBiz;

     @ApiOperation("保存或编辑")
     @PostMapping("/save")
     public ObjectRestResponse<Void>  saveSummitActivity(){

          return ObjectRestResponse.succ();
     }

     @ApiOperation("发布活动")
     @PutMapping("/publish/{id}")
     public ObjectRestResponse<Void> publishSumitActivity(@PathVariable(value = "id") Integer id){

          return ObjectRestResponse.succ();
     }

     @ApiOperation("下架活动")
     @PutMapping("/soldout/{id}")
     public ObjectRestResponse<Void> soldOutSumitActivity(@PathVariable(value = "id") Integer id){

          return ObjectRestResponse.succ();
     }

     @ApiOperation("删除活动")
     @DeleteMapping("/{id}")
     public ObjectRestResponse<Void> deleteSummitActivityById(@PathVariable(value = "id") Integer id){

          return ObjectRestResponse.succ();
     }
}